@echo off
rem If this file is called directly from a batch file, than it works without any further parameter.
rem However, if it is called through an AVEVA init file (i.e. by the default startmenu shortcut), it requires
rem one parameter, which should be the path of the batchfile (i.e. c:\project\).
set proj_shortcut=LIS
set proj_longname=LISEGA
set proj_db_dir=%1
if "%proj_db_dir%"=="" set proj_db_dir=%~dp0
set proj_db_dir_base=%proj_db_dir%%proj_shortcut%
set %proj_shortcut%000=%proj_db_dir_base%000
set %proj_shortcut%PIC=%proj_db_dir_base%pic
set %proj_shortcut%MAC=%proj_db_dir_base%mac
set %proj_shortcut%ISO=%proj_db_dir_base%iso
set %proj_shortcut%DWG=%proj_db_dir_base%dwg
set %proj_shortcut%DIA=%proj_db_dir_base%dia
set %proj_shortcut%STE=%proj_db_dir_base%ste
set %proj_shortcut%TPL=%proj_db_dir_base%tpl
set %proj_shortcut%DFLTS=%proj_db_dir_base%dflts
set %proj_shortcut%INFO=%proj_db_dir_base%info
set %proj_shortcut%REPORTS=%proj_db_dir_base%info\REPORTS\%proj_shortcut%
set %proj_shortcut%000ID=%proj_longname%

set MAS000=c:\AVEVA\Plant\Projects12.1.SP4\Master\mas000 
